summaryrefslogtreecommitdiffstats
path: root/build-initramfs.sh
diff options
context:
space:
mode:
Diffstat (limited to 'build-initramfs.sh')
-rwxr-xr-xbuild-initramfs.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/build-initramfs.sh b/build-initramfs.sh
index 4c280661..a4ad3576 100755
--- a/build-initramfs.sh
+++ b/build-initramfs.sh
@@ -97,7 +97,8 @@ declare -A override
bootstrap() {
for module in "${!core_@}" "${!module_@}"; do
- if declare -n _ref="$module"; then
+ declare -n _ref="$module"
+ if [ $? -ne 0 ]; then
echo "Only bash >= 4.3 supports namerefs." \
"You are running ${BASH_VERSION}." \
"Falling back to using evil eval..."